/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Swarco Traffic Systems GmbH
 * Entwicklung
 * Adolf-Dambach-Strae
 * D-76571 Gaggenau
 * Phone: +49 (0)7225-64-0
 * Fax: +49 (0)7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.ste.stealgsba.algorithmen.lib;

/**
 * Klasse fr allgemeine Definitionen.
 *
 * @version $Revision: 1.3 $ / $Date: 2015/09/02 12:49:38 $ / ($Author: Asal $)
 *
 * @author Swarco Traffic Systems GmbH
 * @author Rolf Asal
 *
 */
public class Definitionen
{
	/**
	 * Bildinhalt Ende berholverbot Lkw.
	 */
	public static String EULKW = "TLS.EndeUeberholverbotLkw";
	/**
	 * Bildinhalt Ende berholverbot Pkw.
	 */
	public static String EUPKW = "TLS.EndeUeberholverbotPkw";
	/**
	 * Bildinhalt Ende berholverbot allgemein.
	 */
	public static String EUALL = "TLS.EndeUeberholverbotAllgemein";
	/**
	 * Bildinhalt Ende aller Streckenverbote.
	 */
	public static String EALL = "TLS.EndeAllerStreckenverbote";
	/**
	 * Bildinhalt Geschwindigkeitsbeschrnkung 120 km/h.
	 */
	public static String V120 = "TLS.ZulaessigeHoechst120";
	/**
	 * Bildinhalt Geschwindigkeitsbeschrnkung 100 km/h.
	 */
	public static String V100 = "TLS.ZulaessigeHoechst100";
	/**
	 * Bildinhalt Geschwindigkeitsbeschrnkung 80 km/h.
	 */
	public static String V80 = "TLS.ZulaessigeHoechst80";
	/**
	 * Bildinhalt Geschwindigkeitsbeschrnkung 60 km/h.
	 */
	public static String V60 = "TLS.ZulaessigeHoechst60";
	/**
	 * Bildinhalt Geschwindigkeitsbeschrnkung 40 km/h.
	 */
	public static String V40 = "TLS.ZulaessigeHoechst40";
	/**
	 * Bildinhalt Fahrstreifen gesperrt.
	 */
	public static String KREUZ = "TLS.FahrstreifenGesperrt";
	/**
	 * Bildinhalt Fahrstreifen wechseln nach links.
	 */
	public static String PFEILL = "TLS.FahrstreifenWechselnNachLinks";
	/**
	 * Bildinhalt Fahrstreifen wechseln nach rechts.
	 */
	public static String PFEILR = "TLS.FahrstreifenWechselnNachRechts";
	/**
	 * Bildinhalt Fahrstreifen halten.
	 */
	public static String PFEILG = "TLS.FahrstreifenHalten";
	/**
	 * Bildinhalt Dunkel.
	 */
	public static String DUNKEL = "Dunkel";

}
