/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Swarco Traffic Systems GmbH
 * Entwicklung
 * Adolf-Dambach-Strae
 * D-76571 Gaggenau
 * Phone: +49 (0)7225-64-0
 * Fax: +49 (0)7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.ste.stealgsba.algorithmen.lib;

import java.util.EventListener;

import de.bsvrz.dav.daf.main.ResultData;

/**
 * Interface mit dem eine Klasse die nderungen ihrer Daten publizieren kann
 * 
 * @author Swarco Traffic Systems GmbH
 * @version $Revision: 1.2 $ / $Date: 2012/07/23 06:02:38 $ / ($Author: Asal $)
 */
public interface INeueDatenListener extends EventListener
{
  /**
   * Informiert die angemeldeten Listener ber neue Daten.
   * @param rdata neuer Datensatz
   */
  public void neueDaten(ResultData rdata);
  /**
   * Informiert die angemeldeten Listener ber neue Analysedaten.
   * @param analyse Neue Analysedaten.
   */
  public void neueDatenSituationAnalyseMq(SituationAnalyseMq analyse);
  /**
   * Informiert die angemeldeten Listener ber neue Analysedaten Staukriterium.
   * @param analyse Neue Analysedaten Staukriterium.
   */
  public void neueDatenStaukriterium(StaukriteriumErgebnis staukriterium);
}
